
From: Joern Engel <joern@wohnheim.fh-wedel.de>

Fix sort behavior when long names are encountered.  The previour regular
expression depended on a tab to find the size in a string.  For long names,
this tab no longer exists, so it is smarter to check for a colon instead.

For the kernel, this change shouldn't make a difference.  But people
started using the same script for c++ code in other projects.

Signed-off-by: Jrn Engel <joern@wohnheim.fh-wedel.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/checkstack.pl |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN scripts/checkstack.pl~checkstack-fix-sort-misbehavior-for-long-function-names scripts/checkstack.pl
--- 25/scripts/checkstack.pl~checkstack-fix-sort-misbehavior-for-long-function-names	2005-03-14 18:00:49.000000000 -0800
+++ 25-akpm/scripts/checkstack.pl	2005-03-14 18:00:49.000000000 -0800
@@ -72,8 +72,8 @@ my (@stack, $re, $x, $xs);
 
 sub bysize($) {
 	my ($asize, $bsize);
-	($asize = $a) =~ s/.*	+(.*)$/$1/;
-	($bsize = $b) =~ s/.*	+(.*)$/$1/;
+	($asize = $a) =~ s/.*:	*(.*)$/$1/;
+	($bsize = $b) =~ s/.*:	*(.*)$/$1/;
 	$bsize <=> $asize
 }
 
_
